/* img[src$=".svg"] {
    width: inherit !important;
    height: auto;
  } */

.wp-block-site-logo img {
  width: 100%;
}

/* TODO: Revisar como mejorar esta parte.
input[type="text"], 
input[type="password"],
input[type="number"],
input[type="email"],
input[type="tel"], 
select,
textarea {
    font-size:1.1rem;
    padding:10px 5px;
    border:0px;
    border-bottom:1px solid;
    margin-bottom:10px;
    width:100%;
    transition:.3s ease all;
    outline:none;
    font-family:inherit;
}

textarea {
    field-sizing:content;
    line-height:1.5;
}

input[type="submit"], button[type="submit"] {
    background:var(--wp--preset--color--primary);
    color: var(--wp--preset--color--primary-contrast) !important;
    border:1px solid var(--wp--preset--color--primary);
    font-size:1.3rem;
    font-family: inherit;
    transition:.4s ease all;
    cursor:pointer;
    padding:.75rem 2rem;
    border-radius:60px
}
input[type="submit"]:hover, button[type="submit"]:hover {
    border-color:var(--wp--preset--color--secondary);
      background:var(--wp--preset--color--secondary);
    color: var(--wp--preset--color--secondary-contrast) !important;
}
*/
.wp-block-template-part {
  margin-top: 0px;
}

input[type="text"],
input[type="password"],
input[type="number"],
input[type="email"],
input[type="tel"],
input[type="search"],
select,
textarea {
  padding-left: 15px;
  padding-right: 15px;
  transition: .3s ease all;
  outline: none;
  font-family: inherit;
}

button.wp-block-search__button.has-icon.wp-element-button {
  aspect-ratio: 1/1;
  padding: 3px;
}

/*Ocultamiento */

@media screen and (min-width: 1024px) {
  html .no-desktop {
    display: none !important;
  }
}

@media screen and (min-width: 681px) and (max-width: 1023px) {
  html .no-tablet {
    display: none !important;
  }
}

@media screen and (max-width: 680px) {
  html .no-mobile {
    display: none !important;
  }
}




/*Convertir terminos de categorias en badges*/
.badge-terms {
  list-style: none;
  padding: 0px;
  margin: 0px;
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.badge-terms li a {
  border: 1px solid var(--wp--preset--color--primary);
  line-height: 1;
  padding: 4px 10px;
  display: block;
  text-decoration: none;
  color: var(--wp--preset--color--primary);
  border-radius: 60px;
  transition: .3s ease all;

}

.badge-terms li a:hover {
  color: var(--wp--preset--color--primary-contrast);
  background: var(--wp--preset--color--primary);
}

/*------------------------*/

/*Mejora de la paginación del bucle*/
.wp-block-query-pagination-numbers {
  display: flex !important;
  gap: 5px !important;
}

.page-numbers {
  border: 1px solid var(--wp--preset--color--dark);
  aspect-ratio: 1/1;
  width: 35px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  text-decoration: none;
  color: var(--wp--preset--color--dark);
  transition: .3s ease all;
}

a.wp-block-query-pagination-next,
a.wp-block-query-pagination-previous {
  border: 1px solid var(--wp--preset--color--dark);
  color: var(--wp--preset--color--dark);
  border-radius: 10px;
  text-decoration: none;
  padding: 2px 15px;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: .3s ease all;
}

a.wp-block-query-pagination-next:hover,
a.wp-block-query-pagination-previous:hover,
.page-numbers:hover,
.page-numbers.current {
  color: white;
  background: var(--wp--preset--color--secondary);
  border-color: var(--wp--preset--color--secondary);
}

/*------------------------*/